/*
 * OIDriverArcade.h
 *
 *  Created on: Oct 18, 2017
 *      Author: jonah
 */

#ifndef SRC_DRIVERINPUTS_OIDRIVERARCADE_H_
#define SRC_DRIVERINPUTS_OIDRIVERARCADE_H_

#include <driverInputs/OIInterfaces/IOIDriver.h>
#include <driverInputs/DragonXbox.h>
#include <utils/DragonMath.h>

namespace Team302 {

class OIDriverArcade : public IOIDriver {
public:
	OIDriverArcade();
	virtual ~OIDriverArcade();

	double GetRobotXMagnitude() const override;
	double GetRobotYMagnitude() const override;
	double GetRobotRotationMagnitude() const override;
	Vector2 GetRobotTargetHeading() const override;

};

} /* namespace Team302 */

#endif /* SRC_DRIVERINPUTS_OIDRIVERARCADE_H_ */
